### Constructor

# Cogl Texture2D new_from_egl_image_external

#### Declaration [src]

    CoglTexture2D*
    cogl_texture_2d_new_from_egl_image_external (
      CoglContext* ctx,
      int width,
      int height,
      CoglTexture2DEGLImageExternalAlloc alloc,
      gpointer user_data,
      GDestroyNotify destroy,
      GError** error
    )

#### Description

No description available.

This method is not directly available to language bindings.

#### Parameters

`ctx`

  Type: `CoglContext`

  No description available.

  The data is owned by the caller of the function.

`width`

  Type: `int`

  No description available.

`height`

  Type: `int`

  No description available.

`alloc`

  Type: `CoglTexture2DEGLImageExternalAlloc`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`destroy`

  Type: `GDestroyNotify`

  No description available.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `CoglTexture2D`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.